Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class FactoryInterceptorMetaClass

    java.lang.Object
      groovy.lang.DelegatingMetaClass
          groovy.util.FactoryInterceptorMetaClass

    class FactoryInterceptorMetaClass
    extends DelegatingMetaClass

Field Summary
`FactoryBuilderSupport` | `factory`

Fields inherited from class DelegatingMetaClass
delegate

Constructor Summary
`FactoryInterceptorMetaClass(MetaClass delegate, FactoryBuilderSupport factory)`

Method Summary
`Object` | `invokeMethod(Object object, String methodName, Object arguments)`
`Object` | `invokeMethod(Object object, String methodName, Object[] arguments)`

Methods inherited from class DelegatingMetaClass
addMetaBeanProperty, addMetaMethod, addNewInstanceMethod, addNewStaticMethod, equals, getAdaptee, getAttribute, getAttribute, getClassNode, getMetaClass, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getProperties, getProperty, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, initialize, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, isModified, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAdaptee, setAttribute, setAttribute, setMetaClass, setProperty, setProperty, setProperty, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### factory

    FactoryBuilderSupport factory

Constructor Detail

### FactoryInterceptorMetaClass

    public FactoryInterceptorMetaClass(MetaClass delegate, FactoryBuilderSupport factory)

Method Detail

### invokeMethod

    public Object invokeMethod(Object object, String methodName, Object arguments)

### invokeMethod

    public Object invokeMethod(Object object, String methodName, Object[] arguments)

Copyright © 2003-2009 The Codehaus. All rights reserved.